holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Australia
  # @source https://info.australia.gov.au/about-australia/special-dates-and-events/public-holidays
  AU:
    names:
      en: Australia
    dayoff: sunday
    langs:
      - en
    zones:
      - Australia/Sydney
      - Australia/Lord_Howe
      - Antarctica/Macquarie
      - Australia/Hobart
      - Australia/Currie
      - Australia/Melbourne
      - Australia/Broken_Hill
      - Australia/Brisbane
      - Australia/Lindeman
      - Australia/Adelaide
      - Australia/Darwin
      - Australia/Perth
      - Australia/Eucla
    days:
      01-01 and if saturday,sunday then next monday:
        _name: 01-01
      01-26 if saturday,sunday then next monday:
        substitute: true
        name:
          en: Australia Day
      easter -2:
        _name: easter -2
      easter -1:
        _name: easter -1
      easter:
        _name: easter
      easter 1:
        _name: easter 1
      04-25:
        name:
          en: Anzac Day
      12-25 and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 12-25
      12-26 and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 12-26
    states:
      # @source https://www.legislation.act.gov.au/a/1958-19
      ACT:
        name: Australian Capital Territory
        zones:
          - Australia/Sydney
        days:
          2nd monday in March:
            name:
              en: Canberra Day
          04-25: false
          04-25 if sunday then next monday:
            substitute: true
            name:
              en: Anzac Day
          '2020-04-27':
            name:
              en: Declared public holiday
            type: public
          monday after 05-27:
            name:
              en: Reconciliation Day
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in October:
            name:
              en: Labour Day
      # @source https://www.legislation.nsw.gov.au/~/pdf/view/act/2010/115/whole
      NSW:
        name: New South Wales
        zones:
          - Australia/Sydney
        days:
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in August:
            name:
              en: Bank Holiday
            type: bank
          1st monday in October:
            name:
              en: Labour Day
      # @source https://legislation.nt.gov.au/en/Legislation/PUBLIC-HOLIDAYS-ACT-1981
      NT:
        name: Northern Territory
        zones:
          - Australia/Darwin
        days:
          easter: false
          04-25: false
          04-25 if sunday then next monday:
            substitute: true
            name:
              en: Anzac Day
          1st monday in May:
            name:
              en: May Day
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in August:
            name:
              en: Picnic Day
          1st monday in October: false
          12-24 19:00:
            _name: 12-24
          12-25 and if saturday then next monday if sunday then next tuesday: false
          12-25 if saturday then next monday if sunday then next tuesday:
            substitute: true
            _name: 12-25
          12-26 and if saturday then next monday if sunday then next tuesday: false
          12-26 if saturday then next monday if sunday then next tuesday:
            substitute: true
            _name: 12-26
          12-31 19:00:
            _name: 12-31
      # @source https://www.legislation.qld.gov.au/view/html/inforce/current/act-1983-018
      QLD:
        name: Queensland
        zones:
          - Australia/Brisbane
          - Australia/Lindeman
        days:
          04-25: false
          04-25 if sunday then next monday:
            substitute: true
            name:
              en: Anzac Day
          1st monday in May:
            name:
              en: Labour Day
          2nd monday in June: false
          1st monday in October:
            name:
              en: Queen's Birthday
          12-24 18:00:
            _name: 12-24
      # @source https://www.legislation.sa.gov.au/LZ/C/A/HOLIDAYS%20ACT%201910.aspx
      SA:
        name: South Australia
        zones:
          - Australia/Adelaide
        days:
          easter: false
          2nd monday in March:
            name:
              en: Adelaide Cup Day
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in October:
            name:
              en: Labour Day
          12-24 19:00:
            _name: 12-24
          12-25 and if saturday then next monday if sunday then next tuesday: false
          12-25 if saturday then next monday if sunday then next tuesday:
            substitute: true
            _name: 12-25
          12-26 and if saturday then next monday if sunday then next tuesday: false
          12-26 if saturday then next monday if sunday then next tuesday:
            substitute: true
            name: Proclamation Day
          12-31 19:00:
            _name: 12-31
      # @source https://www.legislation.tas.gov.au/view/html/inforce/current/act-2000-096
      TAS:
        name: Tasmania
        zones:
          - Australia/Hobart
        days:
          01-01 and if saturday,sunday then next monday: false
          01-01 if saturday then next monday if sunday then next tuesday:
            substitute: true
            _name: 01-01
          2nd monday in March:
            name:
              en: Eight Hours Day
          easter -1: false
          easter: false
          easter +2:
            name: Easter Tuesday
            type: optional
            note: Public Service employees or contract dependent
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in October: false
          12-26 and if saturday then next monday if sunday then next tuesday: false
          12-26 if saturday then next monday if sunday then next tuesday:
            substitute: true
            _name: 12-26
      # @source https://www.legislation.vic.gov.au/search?q=holidays&page=1&sort%5B_score%5D=desc&sort%5Btitle_az%5D=asc&queryType=title
      VIC:
        name: Victoria
        zones:
          - Australia/Melbourne
        days:
          2nd monday in March:
            name:
              en: Labour Day
          2nd monday in June:
            name:
              en: Queen's Birthday
          1st monday in October: false
          # introduced in 2015-08
          # @source http://www.gazette.vic.gov.au/gazette/Gazettes2015
          1st friday before October:
            name:
              en: AFL Grand Final Friday
            note: Date might differ as dependent on AFL schedule
          1st tuesday in November:
            name:
              en: Melbourne Cup
      # @source https://www.legislation.wa.gov.au/legislation/statutes.nsf/law_a639.html
      WA:
        name: Western Australia
        zones:
          - Australia/Perth
          - Australia/Eucla
        days:
          1st monday in March:
            name:
              en: Labour Day
          easter -1: false
          easter: false
          04-25: false
          04-25 and if saturday,sunday then next monday:
            substitute: true
            name:
              en: Anzac Day
          1st monday in June:
            name:
              en: Western Australia Day
          2nd monday in June: false
          monday before October:
            name:
              en: Queen's Birthday
            note: Might be on a different day; is proclaimed by Governor
          1st monday in October: false
